# eth\_getProof

1. #### Parameters

* <mark style="color:blue;">address</mark> string REQUIRED

  The address of the account for which the balance is to be checked
* <mark style="color:blue;">storageKeys</mark> array\[strings] REQUIRED

  An array of storage-keys that should be proofed and included
* <mark style="color:blue;">blockNumber</mark> string

  The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getProof","params":["0x7F0d15C7FAae65896648C8273B6d7E43f58Fa842",["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"],"latest"],"id":1,"jsonrpc":"2.0"}'
```

2. #### Returns

* Result-
  * <mark style="color:blue;">address</mark> The address associated with the account&#x20;
  * <mark style="color:blue;">accountProof</mark> An array of rlp-serialized MerkleTree-Nodes which starts with the stateRoot-Node and follows the path of the SHA3 address as key&#x20;
  * <mark style="color:blue;">balance</mark> The current balance of the account in wei&#x20;
  * <mark style="color:blue;">codeHash</mark> A 32 byte hash of the code of the account&#x20;
  * <mark style="color:blue;">nonce</mark> The hash of the generated proof-of-work. Null if pending&#x20;
  * <mark style="color:blue;">storageHash</mark> A 32 byte SHA3 of the storageRoot. All storage will deliver a MerkleProof starting with this rootHash
  * <mark style="color:blue;">storageProof-</mark>An array of storage-entries as requested. Each entry is an object with the following fields:
    * <mark style="color:blue;">key</mark> The requested storage key&#x20;
    * <mark style="color:blue;">value</mark> The storage value&#x20;
    * <mark style="color:blue;">proof</mark> An array of rlp-serialized MerkleTree-Nodes which starts with the stateRoot-Node and follows the path of the SHA3 address as key


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getproof.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
